' RaindropFileSystem
' Fat16 on SD card via FSRW.

CON

PIN_MISO        = 24
PIN_CLOCK       = 25
PIN_MOSI        = 26
PIN_CS_B        = 27

OBJ

fileSystem    : "fsrw"

PUB Start
  fileSystem.mount_explicit(PIN_MISO, PIN_CLOCK, PIN_MOSI, PIN_CS_B)

PUB OpenForReading(filename)
  fileSystem.popen(filename, "r")

PUB OpenForWriting(filename)     
  fileSystem.popen(filename, "w")

PUB Close
  fileSystem.pclose

PUB Read(bufferAddress, numBytes)
  return fileSystem.pread(bufferAddress, numBytes)

PUB Write(bufferAddress, numBytes)
  return fileSystem.pwrite(bufferAddress, numBytes)      
